<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/BeginnerTipsManager/BeginnerTipsManager.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_beginner_tips_manager_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BeginnerTipsManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_beginner_tips_manager_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  BeginnerTipsManager.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by guohua on 2020/3/30.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_beginner_tips_manager_8h.html#a865d97f6b6463ae2b5928734555ea242">   12</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="_beginner_tips_manager_8h.html#a865d97f6b6463ae2b5928734555ea242">NS_ENUM</a>(NSInteger,TriangleDirectionType) {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    TriangleDirectionType_Left = 0,</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    TriangleDirectionType_Right,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;};</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="protocol_beginner_tips_manager_delegate-p.html">   17</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_beginner_tips_manager_delegate-p.html">BeginnerTipsManagerDelegate</a> &lt;NSObject&gt;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;-(void)<a class="code" href="protocol_beginner_tips_manager_delegate-p.html#a2ca1291219cff44aea296d450fc1cff0">beginnerTipViewDismiss</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="interface_beginner_tips_manager.html">   23</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_beginner_tips_manager.html">BeginnerTipsManager</a> : UIView</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_beginner_tips_manager.html#a53d2f423aee4dc90ad3ce3fa4dfb53fe">   25</a></span>&#160;<span class="keyword">@property</span> (nonatomic,weak) id&lt;BeginnerTipsManagerDelegate&gt; <a class="code" href="interface_beginner_tips_manager.html#a53d2f423aee4dc90ad3ce3fa4dfb53fe">delegate</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;+ (BOOL)tipWindowHasShowForKey:(NSString *)key;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;+ (void)updateTipWindowHasShowForKey:(NSString *)key;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;-(void)showTipViewWithTip:(NSString *)tip directionType:(TriangleDirectionType)type dotReact:(CGRect)dotReact emptyReact:(CGRect)emptyReact;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="protocol_beginner_tips_manager_delegate-p.html#a2ca1291219cff44aea296d450fc1cff0">   37</a></span>&#160;NS_ASSUME_NONNULL_END</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_beginner_tips_manager_8h_html_a865d97f6b6463ae2b5928734555ea242"><div class="ttname"><a href="_beginner_tips_manager_8h.html#a865d97f6b6463ae2b5928734555ea242">NS_ENUM</a></div><div class="ttdeci">NS_ASSUME_NONNULL_BEGIN typedef NS_ENUM(NSInteger, TriangleDirectionType)</div><div class="ttdef"><b>Definition:</b> <a href="_beginner_tips_manager_8h_source.html#l00012">BeginnerTipsManager.h:12</a></div></div>
<div class="ttc" id="ainterface_beginner_tips_manager_html_a53d2f423aee4dc90ad3ce3fa4dfb53fe"><div class="ttname"><a href="interface_beginner_tips_manager.html#a53d2f423aee4dc90ad3ce3fa4dfb53fe">BeginnerTipsManager::delegate</a></div><div class="ttdeci">id&lt; BeginnerTipsManagerDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_beginner_tips_manager_8h_source.html#l00025">BeginnerTipsManager.h:25</a></div></div>
<div class="ttc" id="aprotocol_beginner_tips_manager_delegate-p_html"><div class="ttname"><a href="protocol_beginner_tips_manager_delegate-p.html">BeginnerTipsManagerDelegate-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_beginner_tips_manager_8h_source.html#l00017">BeginnerTipsManager.h:17</a></div></div>
<div class="ttc" id="ainterface_beginner_tips_manager_html"><div class="ttname"><a href="interface_beginner_tips_manager.html">BeginnerTipsManager</a></div><div class="ttdef"><b>Definition:</b> <a href="_beginner_tips_manager_8h_source.html#l00023">BeginnerTipsManager.h:24</a></div></div>
<div class="ttc" id="aprotocol_beginner_tips_manager_delegate-p_html_a2ca1291219cff44aea296d450fc1cff0"><div class="ttname"><a href="protocol_beginner_tips_manager_delegate-p.html#a2ca1291219cff44aea296d450fc1cff0">-[BeginnerTipsManagerDelegate-p beginnerTipViewDismiss]</a></div><div class="ttdeci">void beginnerTipViewDismiss()</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_0feec6aa4a794b404f9caa810216c37c.html">BeginnerTipsManager</a></li><li class="navelem"><a class="el" href="_beginner_tips_manager_8h.html">BeginnerTipsManager.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
